load hald
[N,D]=size(ingredients);
Ord=10;
Ngrid=100;
labs={'Aluminate','Silicate','Tetracalcium','Beta'};
col='rgbcmyrgbcmy';
hh=zeros(Ord,1);
labord=cell(Ord,1);

figure(1); clf
set(gcf,'Name','Grafico cemento')
for d=1:D
    fprintf('\n*** Componente %s\n',labs{d})
    [r p]=corrcoef(ingredients(:,d),heat);
    fprintf('Coeff. correl.: %f - p-value: %f\n',...
        r(1,2),p(1,2))
    subplot(2,2,d)
    plot(ingredients(:,d),heat,'*k')
    xlabel([labs{d} ' [%]'])
    ylabel('Heat [cal/gm]')
    hold on
    mat=[ones(N,1) zeros(N,D)];
    grid=linspace(min(ingredients(:,d)),max(ingredients(:,d)),Ngrid);
    matgrid=[ones(Ngrid,1) zeros(Ngrid,D)];
    for ord=1:Ord
        mat(:,ord+1)=ingredients(:,d).^ord;
        fprintf('Fit ordine %i: ',ord)
        coeff=mat(:,1:ord+1)\heat;
        for ncoef=1:ord+1
            fprintf('%f - ',coeff(ncoef))
        end
        fit=mat(:,1:ord+1)*coeff;
        err=sqrt(sum((fit-heat).^2/N));
        fprintf('Errore: %f\n',err)
        matgrid(:,ord+1)=grid.^ord;
        fitgrid=matgrid(:,1:ord+1)*coeff;
        hh(ord)=plot(grid,fitgrid,col(ord));
        labord{ord}=num2str(ord);
    end
    legend(hh,labord,'Location','Best')
end
















